package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖项配置枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusItems {

    /**
     * 直推收益
     */
    DIRECT_INCOME(3, "旧直推收益", 1),
    /**
     * 拓展收益
     */
    EXPANSION_INCOME(4, "旧拓展收益", 1),
    /**
     * 辅导收益
     */
    COACHING_INCOME(5, "旧辅导收益", 1),
    /**
     * 分红收益
     */
    DIVIDEND_INCOME(6, "旧分红收益", 1),
    /**
     * 服务补贴
     */
    SERVICE_SUBSIDIES(7, "旧服务补贴", 1),
    /**
     * 复购级差收益
     */
    REPURCHASE_RANGE_INCOME(8, "旧复购级差收益", 1),
    /**
     * 复购拓展收益
     */
    CONSUMPTION_EXPANSION_INCOME(9, "旧复购拓展收益", 1),
    /**
     * 旧商城重销
     */
    RESALE_IN_THE_MALL(10, "旧商城重销", 1),
    /**
     * 平台服务费
     */
    PLATFORM_SERVICE_FEE(11, "旧平台服务费", 1),
    /**
     * 复购券
     */
    REPURCHASE_COUPONS(12, "旧复购券", 1),
    /**
     * 复购券均分收益
     */
    REPURCHASE_COUPONS_SHARE(13, "旧复购券均分", 1),

    ////////////////////////////////////////////////// 新奖项 //////////////////////////////////////////////////

    /**
     * 直推级差收益 -- 秒结，日奖
     */
    RETAIL_RANGE_INCOME(25, "直推级差收益", 0),
    /**
     * 复购级差收益 -- 秒结，日奖
     */
    RETAIL_REPURCHASE_INCOME(35, "复购级差收益", 0),

    ;

    public static EBonusItems getEnumByValue(int value) {
        for (EBonusItems eBonusItems : EBonusItems.values()) {
            if (eBonusItems.getValue() == value) {
                return eBonusItems;
            }
        }
        return null;
    }

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
